PHP ��U
前一頁 |  | 下一頁

# HttpMessage::__construct

(no version information, might be only in CVS)

HttpMessage::__construct -- HttpMessage constructor

## Description

publicvoid HttpMessage::__construct ( [string message] )

Instantiate a new HttpMessage object.

The constructed object will actually represent the last message of the passed string. If there were prior messages, those can be accessed by HttpMessage::getParentMessage().

## Parameters

message

  a single or several consecutive HTTP messages

## Errors/Exceptions

Throws HttpMalformedHeaderException.

前一頁 | 內容 | 下一頁
HttpMessage | 上一層 | HttpMessage::fromString